var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { constants, GraphQLRequestClient } from '@sitecore-jss/sitecore-jss-nextjs';
// @ts-ignore
import config from '../../../../../src/temp/config';
import { gql } from 'graphql-request';
import { mapToNew } from '@constellation4sitecore/foundation-mapper';
export function getItem(itemId) {
    return __awaiter(this, void 0, void 0, function* () {
        if (process.env.JSS_MODE === constants.JSS_MODE.DISCONNECTED) {
            return null;
        }
        const graphQLClient = new GraphQLRequestClient(config.graphQLEndpoint, {
            apiKey: config.sitecoreApiKey,
        });
        const query = gql `
    query GetItem($itemId: String!, $language: String!) {
      item: item(path: $itemId, language: $language) {
        id
        name
        fields {
          name
          jsonValue
        }
      }
    }
  `;
        const result = (yield graphQLClient.request(query, {
            itemId: itemId,
            language: config.defaultLanguage,
        }));
        return mapToNew(result.item);
    });
}
